Bug 89407 - New port: french/verbiste -- French verb conjugator/deconjugator
Summary: New port: french/verbiste -- French verb conjugator/deconjugator
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jean-Yves Lefort
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-11-22 07:10 UTC by Dan Phillips
Modified: 2005-11-29 18:46 UTC (History)
0 users

See Also:


Attachments
verbiste.shar (5.55 KB, text/plain)
2005-11-22 07:10 UTC, Dan Phillips
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dan Phillips 2005-11-22 07:10:16 UTC
Verbiste is a French conjugation system. It contains a C++ library,
two programs that can be run from the command line or from another
program, and a GNOME applet. This applet shows a text field in the
GNOME Panel where the user can enter a conjugated verb and obtain its
complete conjugation. The knowledge base is represented in XML and
contains over 6800 verbs.

WWW: http://sarrazip.com/dev/verbiste.html
Comment 1 Simon Barner freebsd_committer 2005-11-23 13:35:15 UTC
State Changed
From-To: open->feedback

Waiting for submitter's response.
Comment 2 Simon Barner freebsd_committer 2005-11-29 12:40:03 UTC
Here is an improved version of the patch I sent to the submitter, but no
response yet. I'll submit it here so it doesn't get lost. The only
remaining issue is that verbist installs its headers into
${PREFIX}/include/verbiste/verbiste/.

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	verbiste
#	verbiste/files
#	verbiste/files/patch-Makefile.in
#	verbiste/files/patch-verbiste-0.1.pc.in
#	verbiste/files/patch-configure
#	verbiste/files/patch-src_verbiste_FrenchVerbDictionary.cpp
#	verbiste/Makefile
#	verbiste/pkg-descr
#	verbiste/distinfo
#	verbiste/pkg-plist
#
echo c - verbiste
mkdir -p verbiste > /dev/null 2>&1
echo c - verbiste/files
mkdir -p verbiste/files > /dev/null 2>&1
echo x - verbiste/files/patch-Makefile.in
sed 's/^X//' >verbiste/files/patch-Makefile.in << 'END-of-verbiste/files/patch-Makefile.in'
X--- Makefile.in.orig	Tue Oct 11 10:15:30 2005
X+++ Makefile.in		Wed Nov 16 14:03:58 2005
X@@ -288,7 +288,7 @@
X 	LISEZMOI \
X 	HACKING
X 
X-pkgconfigdir = $(libdir)/pkgconfig
X+pkgconfigdir = $(prefix)/libdata/pkgconfig
X pkgconfig_DATA = $(PACKAGE)-$(API).pc
X man_MANS = \
X 	doc/$(PACKAGE).3 \
END-of-verbiste/files/patch-Makefile.in
echo x - verbiste/files/patch-verbiste-0.1.pc.in
sed 's/^X//' >verbiste/files/patch-verbiste-0.1.pc.in << 'END-of-verbiste/files/patch-verbiste-0.1.pc.in'
X--- verbiste-0.1.pc.in.orig	Wed Nov 23 14:07:14 2005
X+++ verbiste-0.1.pc.in	Wed Nov 23 14:07:47 2005
X@@ -3,10 +3,10 @@
X prefix=@prefix@
X exec_prefix=@exec_prefix@
X libdir=@libdir@
X-includedir=@includedir@/@PACKAGE@-@API@
X+includedir=@includedir@/@PACKAGE@
X 
X Name: @PACKAGE_FULL_NAME@
X Description: @PACKAGE_SUMMARY_EN@
X Version: @VERSION@
X-Libs: @LIBXML2_LIBS@ -L${libdir} -l@PACKAGE@-@API@
X+Libs: @LIBXML2_LIBS@ -L${libdir} -l@PACKAGE@
X Cflags: -I${includedir} @LIBXML2_CFLAGS@
END-of-verbiste/files/patch-verbiste-0.1.pc.in
echo x - verbiste/files/patch-configure
sed 's/^X//' >verbiste/files/patch-configure << 'END-of-verbiste/files/patch-configure'
X--- configure.orig	Wed Nov 23 13:10:32 2005
X+++ configure	Wed Nov 23 13:10:55 2005
X@@ -23960,12 +23960,11 @@
X #ifdef __cplusplus
X "C"
X #endif
X-const char *_nl_expand_alias ();
X int
X main ()
X {
X bindtextdomain ("", "");
X-return (int) gettext ("") + _nl_msg_cat_cntr + *_nl_expand_alias (0)
X+return (int) gettext ("") + _nl_msg_cat_cntr
X   ;
X   return 0;
X }
END-of-verbiste/files/patch-configure
echo x - verbiste/files/patch-src_verbiste_FrenchVerbDictionary.cpp
sed 's/^X//' >verbiste/files/patch-src_verbiste_FrenchVerbDictionary.cpp << 'END-of-verbiste/files/patch-src_verbiste_FrenchVerbDictionary.cpp'
X--- src/verbiste/FrenchVerbDictionary.cpp.orig	Sun Mar 13 14:03:26 2005
X+++ src/verbiste/FrenchVerbDictionary.cpp	Sat Nov  5 21:32:23 2005
X@@ -655,7 +655,7 @@
X     char *inbuf = strcpy(new char[inbytesleft], latin1String.c_str());
X     char *outbuf = new char[outbytesleft];
X 
X-    char *in = inbuf;
X+    const char *in = inbuf;
X     char *out = outbuf;
X     if (iconv(toUTF8, &in, &inbytesleft, &out, &outbytesleft) == (size_t) -1)
X     {
X@@ -681,7 +681,7 @@
X     char *inbuf = strcpy(new char[inbytesleft], utf8String.c_str());
X     char *outbuf = new char[outbytesleft];
X 
X-    char *in = inbuf;
X+    const char *in = inbuf;
X     char *out = outbuf;
X     if (iconv(toLatin1, &in, &inbytesleft, &out, &outbytesleft) == (size_t) -1)
X     {
END-of-verbiste/files/patch-src_verbiste_FrenchVerbDictionary.cpp
echo x - verbiste/Makefile
sed 's/^X//' >verbiste/Makefile << 'END-of-verbiste/Makefile'
X# New ports collection makefile for:	verbiste
X# Date created:				16 November 2005
X# Whom:					Dan Phillips <dan-ports@dp.id.au>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	verbiste
XPORTVERSION=	0.1.13
XCATEGORIES=	french textproc
XMASTER_SITES=	http://sarrazip.com/dev/
X
XMAINTAINER=	dan-ports@dp.id.au
XCOMMENT=	French verb conjugator/deconjugator
X
XLIB_DEPENDS=	iconv:${PORTSDIR}/converters/libiconv:install \
X		xml2:${PORTSDIR}/textproc/libxml2:install
X
XUSE_GETTEXT=	yes
X
XCONFIGURE_ARGS+=--with-libiconv-prefix=${LOCALBASE} \
X		--with-libintl-prefix=${LOCALBASE}
XUSE_AUTOTOOLS=	libtool:15
X
XUSE_REINPLACE=	yes
X
XOPTIONS=	GNOME "Create a GNOME Panel applet" Off
X
X.include <bsd.port.pre.mk>
X
Xpost-patch:
X	${MV}	${WRKSRC}/verbiste-0.1.pc.in ${WRKSRC}/verbiste.pc.in
X	${REINPLACE_CMD} -e 's,verbiste-0.1.pc,verbiste.pc,g' ${WRKSRC}/configure
X	${FIND} ${WRKSRC} -name "Makefile.in" -exec ${REINPLACE_CMD} \
X			-e 's,-$$(API),,g' \
X			-e 's,-0.1,,g' \
X			-e 's,0_1_,,g' \
X			-e 's,$$(PACKAGE)-$$(VERSION),$$(PACKAGE),g' {} \;
X
X.if defined(WITH_GNOME)
XLIB_DEPENDS+=	panel-applet:${PORTSDIR}/x11/gnomepanel:install
XPLIST_SUB+=	WITH_GNOME=""
X.else
XPLIST_SUB+=	WITH_GNOME="@comment "
X.endif
X
XMAN1=		french-conjugator.1 french-deconjugator.1
XMAN3=		verbiste.3
XMANLANG=	"" fr
XMANCOMPRESSED=	no
X
XUSE_GMAKE=	yes
XGNU_CONFIGURE=	yes
X
XINSTALLS_SHLIB=	yes
X
X.if defined(WITH_GNOME)
XCONFIGURE_ARGS+=	--with-gnome
X.endif
X
X.include <bsd.port.post.mk>
END-of-verbiste/Makefile
echo x - verbiste/pkg-descr
sed 's/^X//' >verbiste/pkg-descr << 'END-of-verbiste/pkg-descr'
XVerbiste is a French conjugation system. It contains a C++ library,
Xtwo programs that can be run from the command line or from another
Xprogram, and a GNOME applet. This applet shows a text field in the
XGNOME Panel where the user can enter a conjugated verb and obtain its
Xcomplete conjugation. The knowledge base is represented in XML and
Xcontains over 6800 verbs.
X
XWWW: http://sarrazip.com/dev/verbiste.html
END-of-verbiste/pkg-descr
echo x - verbiste/distinfo
sed 's/^X//' >verbiste/distinfo << 'END-of-verbiste/distinfo'
XMD5 (verbiste-0.1.13.tar.gz) = 972ae6c8136761e51755f6c193ab0626
XSHA256 (verbiste-0.1.13.tar.gz) = efe004056b82aef286b3c835b44b19e821e1b7bf3644f51bae7c4f4d2fc22185
XSIZE (verbiste-0.1.13.tar.gz) = 549663
END-of-verbiste/distinfo
echo x - verbiste/pkg-plist
sed 's/^X//' >verbiste/pkg-plist << 'END-of-verbiste/pkg-plist'
Xbin/french-conjugator
Xbin/french-deconjugator
Xinclude/verbiste/verbiste/FrenchVerbDictionary.h
Xinclude/verbiste/verbiste/HashMap.h
Xinclude/verbiste/verbiste/Trie.cpp
Xinclude/verbiste/verbiste/Trie.h
Xinclude/verbiste/verbiste/c-api.h
Xinclude/verbiste/verbiste/misc-types.h
Xlib/libverbiste.a
Xlib/libverbiste.so
Xlib/libverbiste.so.0
Xlibdata/pkgconfig/verbiste.pc
X@unexec rmdir %B 2>/dev/null || true
X%%DOCSDIR%%/AUTHORS
X%%DOCSDIR%%/COPYING
X%%DOCSDIR%%/HACKING
X%%DOCSDIR%%/INSTALL
X%%DOCSDIR%%/LISEZMOI
X%%DOCSDIR%%/NEWS
X%%DOCSDIR%%/README
X%%DOCSDIR%%/TODO
Xshare/locale/fr/LC_MESSAGES/verbiste.mo
X%%DATADIR%%/conjugation-fr.xml
X%%DATADIR%%/verbs-fr.xml
X%%WITH_GNOME%%bin/verbiste
X%%WITH_GNOME%%lib/bonobo/servers/verbiste.server
X%%WITH_GNOME%%@unexec rmdir lib/bonobo/servers 2>/dev/null || true
X%%WITH_GNOME%%@unexec rmdir lib/bonobo         2>/dev/null || true
X%%WITH_GNOME%%libexec/verbiste-applet
X%%WITH_GNOME%%@unexec rmdir %B 2>/dev/null || true
X%%WITH_GNOME%%share/applications/verbiste.desktop
X%%WITH_GNOME%%@unexec rmdir %B 2>/dev/null || true
X%%WITH_GNOME%%share/pixmaps/verbiste.png
X%%WITH_GNOME%%@unexec rmdir %B 2>/dev/null || true
X@dirrm %%DATADIR%%
X@comment @dirrm share/nls/en_US.US-ASCII
X@comment @dirrm share/nls/POSIX
X@dirrm %%DOCSDIR%%
X@dirrm include/verbiste/verbiste
X@dirrm include/verbiste
END-of-verbiste/pkg-plist
exit
Comment 3 Jean-Yves Lefort freebsd_committer 2005-11-29 13:24:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jylefort

Take.
Comment 4 Jean-Yves Lefort freebsd_committer 2005-11-29 13:26:15 UTC
Responsible Changed
From-To: jylefort->barner

Reassign to barner, since he has been working on this. 

Note that you can handle the lib->libdata patch with USE_GNOME=gnomehack, and 
the gnomepanel dependency should be pulled in with USE_GNOME=gnomepanel.
Comment 5 Simon Barner freebsd_committer 2005-11-29 13:46:16 UTC
Responsible Changed
From-To: barner->freebsd-ports-bugs

Back to the pool. I have already tried hard to fix this port, but there are 
many deficiencies in the up-stream distribution. I fixed some of them, but I 
got no response from the submitter. 

Since I am not very interested in this port, I thought the best thing would be 
to submit my changes so someone else can continue from there. 

Please note that I have never been the responsible committer for this PR!
Comment 6 Simon Barner freebsd_committer 2005-11-29 13:52:24 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jylefort

Actually I'd be happy if you took care of this PR, Jean-Yves...
Comment 7 Jean-Yves Lefort freebsd_committer 2005-11-29 18:42:57 UTC
State Changed
From-To: feedback->closed

Committed with modifications, thanks! 

Note that I have moved the GNOME program and applet to a slave port 
(french/gnome-verbiste). It allows the user to install the GNOME applet 
without recompiling the library, and it allows the FreeBSD build cluster 
to provide binary packages for the applet.